Search Help

Simply type a keyword or short sentence relating to your query into the box below, and our help system will return the most relevant articles.

Search

Apple Mac requirements

Our Mac software runs on Mac Operating System (OS) 10.7 or newer (Intel-based).

To check your version follow these steps:

  1. Click the Apple at the top left of your screen
  2. Select About this Mac, this will give you your OS number.
  3. Click More Info to see which processor you have. If it says PowerPC your computer is no longer supported.

If you have OS 10.6 Intel-based contact Apple to get installation disks or download an upgrade to 10.7 (or a later version). Please verify beforehand that your computer meets their minimum requirements of this operation system.

If you have an older Mac, non Intel-based or are unable to update to OS 10.7 or newer, we would suggest looking for a virtual machine that can emulate the Windows environment and use the Windows version of our software.

Did this article answer your question?

Related Help Articles